Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class KeyPairInfo

    java.lang.Object
      com.amazonaws.services.ec2.model.KeyPairInfo

    public class KeyPairInfo

extends Object

Describes an Amazon EC2 key pair. This is a summary of the key pair data, and will not contain the actual private key material.

The private key material is only available when initially creating the key pair.

Constructor Summary
`KeyPairInfo()`

Method Summary
`String` | `getKeyFingerprint()` The SHA-1 digest of the DER encoded private key.
`String` | `getKeyName()` The name of the key pair.
`void` | `setKeyFingerprint(String keyFingerprint)` The SHA-1 digest of the DER encoded private key.
`void` | `setKeyName(String keyName)` The name of the key pair.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`KeyPairInfo` | `withKeyFingerprint(String keyFingerprint)` The SHA-1 digest of the DER encoded private key.
`KeyPairInfo` | `withKeyName(String keyName)` The name of the key pair.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyPairInfo

    public KeyPairInfo()

Method Detail

### getKeyName

    public String getKeyName()

  The name of the key pair.

  Returns:
    The name of the key pair.

### setKeyName

    public void setKeyName(String keyName)

  The name of the key pair.

  Parameters:
    `keyName` - The name of the key pair.

### withKeyName

    public KeyPairInfo withKeyName(String keyName)

  The name of the key pair.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyName` - The name of the key pair.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKeyFingerprint

    public String getKeyFingerprint()

  The SHA-1 digest of the DER encoded private key.

  Returns:
    The SHA-1 digest of the DER encoded private key.

### setKeyFingerprint

    public void setKeyFingerprint(String keyFingerprint)

  The SHA-1 digest of the DER encoded private key.

  Parameters:
    `keyFingerprint` - The SHA-1 digest of the DER encoded private key.

### withKeyFingerprint

    public KeyPairInfo withKeyFingerprint(String keyFingerprint)

  The SHA-1 digest of the DER encoded private key.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyFingerprint` - The SHA-1 digest of the DER encoded private key.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.